# Android Tips

## OxygenOS bus card

1. 安装最新版一加钱包`cn.oneplus.wallet_1.2.2-8_minAPI21(nodpi)_apkmirr.apk`
2. 系统设置->关于手机->多次点击`Build number`开启开发者选项
3. 在开发者选项里打开USB调试
4. 手机连接电脑进入`adb shell` 输入以下命令

```bash
am start -n cn.oneplus.wallet/cn.oneplus.wallet.activity.NewCardActivity
```

### Reference

* [氧 OS 也能使用公交卡](https://real-neo.me/OxygenOS-Bus-Card)
* [cn.oneplus.wallet\_1.2.2-8\_minAPI21(nodpi)\_apkmirr.apk](https://drive.google.com/open?id=1J-eZkQRP3tiNFXboecS5e1bg1ODHH2vo)

## 去除原生系统Wi-Fi及蜂窝网络叹号

```bash
adb shell "settings put global captive_portal_http_url http://www.google.cn/generate_204"
adb shell "settings put global captive_portal_https_url https://www.google.cn/generate_204"
```

其中captive\_portal的url也可以换成任意能生成204状态码的地址，例如<http://connect.rom.miui.com/generate_204>、<https://captive.v2ex.co/generate_204>等，小米MIUI的portal地址在中国大陆也很稳定。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.junyangz.com/note/oxygenos-bus-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
